%define name exim
%define version 3.03
%define release 1mdk

Summary: exim mail transfer agent
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Url: http://www.exim.org
Packager: Mark Bergsma <mark@mbergsma.demon.nl>
Group: Networking/Daemons
Buildroot: /var/tmp/exim-build.root
Provides: smtpdaemon
Prereq: /sbin/chkconfig
Conflicts: sendmail
Obsoletes: sendmail

Source: %{name}-%{version}.tar.bz2
Source1: aliases
Source2: exim.init
Source3: exim.sysconfig
Source4: exim.logrotate
Source5: exim.8
Source6: FAQ.html.gz
Source7: exim-html-3.00.tar.bz2
Source8: exim-postscript-3.00.tar.bz2
Source9: exim-pdf-3.00.tar.bz2
Patch0: Local-Makefile.patch
Patch1: configure-default.patch

%description
Exim is a mail transport agent (MTA) developed at the University of
Cambridge for use on Unix systems connected to the Internet. In style
it is similar to Smail 3, but its facilities are more extensive, and
in particular it has options for verifying incoming sender and
recipient addresses, for refusing mail from specified hosts, networks,
or senders, and for controlling mail relaying. Exim is in production
use at quite a few sites, some of which move hundreds of thousands of
messages per day.

%package mon
Summary: X11 monitor application for exim
Group: X11/Applications/Networking
Vendor: DEC and MIT
Copyright: Free

%description mon
The Exim Monitor is an optional supplement to the Exim package. It
displays information about Exim's processing in an X window, and an
administrator can perform a number of control actions from the window
interface.

%package doc
Summary: Exim documentation
Group: Documentation

%description doc
This package includes the Exim FAQ and Exim manual in HTML,
PostScript and PDF formats.

%prep
%setup
mkdir faq
gzip -cd $RPM_SOURCE_DIR/FAQ.html.gz > faq/FAQ.html
%setup -T -D -a 7
mv exim-html-3.00 html
%setup -T -D -a 8
mv exim-postscript-3.00 ps
%setup -T -D -a 9
mv exim-pdf-3.00 pdf
mkdir Local
cp src/EDITME Local/Makefile
%patch0 -p1
cp exim_monitor/EDITME Local/eximon.conf
%patch1 -p1

%build
make build=Linux-i386 RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/etc

install -m 4775 build-Linux-i386/exim $RPM_BUILD_ROOT/usr/sbin

for i in eximon eximon.bin exim_dumpdb exim_fixdb exim_tidydb \
  	exinext exiwhat exim_dbmbuild exicyclog exim_lock
do
    install -m 0775 build-Linux-i386/$i $RPM_BUILD_ROOT/usr/sbin
done

for i in exigrep eximstats exiqsumm convert4r3
do
    install -m 0775 util/$i $RPM_BUILD_ROOT/usr/sbin
done

install -m 0644 src/configure.default $RPM_BUILD_ROOT/etc/exim.conf
install -m 0644 $RPM_SOURCE_DIR/aliases $RPM_BUILD_ROOT/etc/aliases

ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/lib/sendmail
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/sbin/sendmail
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/bin/mailq
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/bin/runq
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/bin/rsmtp
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/bin/rmail
ln -sf /usr/sbin/exim $RPM_BUILD_ROOT/usr/bin/newaliases

install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/db
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/input
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/msglog
install -d -m 0750 $RPM_BUILD_ROOT/var/log/exim

mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install $RPM_SOURCE_DIR/exim.8 $RPM_BUILD_ROOT/usr/man/man8/exim.8

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 $RPM_SOURCE_DIR/exim.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/exim

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install $RPM_SOURCE_DIR/exim.init $RPM_BUILD_ROOT/etc/rc.d/init.d/exim

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 0644 $RPM_SOURCE_DIR/exim.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/exim

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add exim
[ -f /var/log/exim/exim_mainlog ] || \
	install -o mail -g mail -m 0640 /dev/null /var/log/exim/exim_mainlog
[ -f /var/log/exim/exim_rejectlog ] || \
	install -o mail -g mail -m 0640 /dev/null /var/log/exim/exim_rejectlog
[ -f /var/log/exim/exim_processlog ] || \
	install -o mail -g mail -m 0640 /dev/null /var/log/exim/exim_processlog
[ -f /var/log/exim/exim_paniclog ] || \
	install -o mail -g mail -m 0640 /dev/null /var/log/exim/exim_paniclog

%preun
if [ $1 = 0 ]; then
    [ -d /var/log/exim ] && rm -f /var/log/exim/*
    /sbin/chkconfig --del exim
fi

%files
%defattr(-,root,root)
/usr/sbin/exim
/usr/sbin/exim_dumpdb
/usr/sbin/exim_fixdb
/usr/sbin/exim_tidydb
/usr/sbin/exinext
/usr/sbin/exiwhat
/usr/sbin/exim_dbmbuild
/usr/sbin/exicyclog
/usr/sbin/exigrep
/usr/sbin/eximstats
/usr/sbin/exiqsumm
/usr/sbin/exim_lock
/usr/sbin/convert4r3
/usr/lib/sendmail
/usr/sbin/sendmail
/usr/bin/mailq
/usr/bin/runq
/usr/bin/rsmtp
/usr/bin/rmail
/usr/bin/newaliases
/usr/man/man8/exim.8

%defattr(-,mail,mail)
%dir /var/spool/exim
%dir /var/spool/exim/db
%dir /var/spool/exim/input
%dir /var/spool/exim/msglog
%dir /var/log/exim

%defattr(-,root,mail)
%config /etc/exim.conf
%config(noreplace) /etc/aliases

%defattr(-,root,root)
%config /etc/sysconfig/exim
%config /etc/rc.d/init.d/exim
%config /etc/logrotate.d/exim

%doc LICENCE NOTICE README.IPV6 README.UPDATING README README.Y2K
%doc doc util/unknownuser.sh util/transport-filter.pl

%files mon
%defattr(-,root,root)
/usr/sbin/eximon
/usr/sbin/eximon.bin

%files doc
%defattr(-,root,root)
%doc faq html ps pdf

%changelog
* Thu Feb 17 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Fri Aug 4 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to version 3.03
- Removed version number out of the spec file name.

* Fri Jul 23 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added embedded Perl support.
- Added tcp_wrappers support.
- Added extra documentation in a new doc subpackage.

* Mon Jul 12 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added /usr/sbin/sendmail as a link to exim.
- Fixed wrong filenames in logrotate entry. 

* Sun Jul 11 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Now using the '%changelog' tag.
- Removed the SysV init links - let chkconfig handle them. 
- Replaced install -d with mkdir -p

* Sat Jul 10 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Fixed owner of the exim-mon files - the owner is now root

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Removed executable permission bits of /etc/exim.conf
- Removed setuid permission bits of all programs except exim
- Changed spool/log directory owner/groups to 'mail'
- Changed the default configuration file to make exim run
      as user and group 'mail'.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added the /usr/bin/rmail -> /usr/sbin/exim symlink.
- Added the convert4r3 script.
- Added the transport-filter.pl script to the documentation.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added procmail transport and director, and made that the
      default.
- Added the unknownuser.sh script to the documentation.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added manpage for exim.
- Fixed symlinks pointing to targets under Buildroot.
- The exim logfiles will now only be removed when uninstalling,
      not upgrading.

* Wed Jul 07 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added 'Obsoletes' header.
- Added several symlinks to /usr/sbin/exim.

* Wed Jul 07 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- First RPM packet release.
- Not tested on other architectures/OS'es than i386/Linux..
